org.apache.commons.compress.archivers

## Interface ArchiveEntry

- All Known Implementing Classes:
    ArArchiveEntry, ArjArchiveEntry, CpioArchiveEntry, DumpArchiveEntry, JarArchiveEntry, SevenZArchiveEntry, TarArchiveEntry, ZipArchiveEntry

      public interface ArchiveEntry

  Represents an entry of an archive.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `SIZE_UNKNOWN` Special value indicating that the size is unknown

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getLastModifiedDate()` Gets the last modified date of this entry.
    `String` | `getName()` Gets the name of the entry in this archive.
    `long` | `getSize()` Gets the uncompressed size of this entry.
    `boolean` | `isDirectory()` Returns true if this entry refers to a directory.

- - ### Field Detail

    - #### SIZE_UNKNOWN

          static final long SIZE_UNKNOWN

      Special value indicating that the size is unknown
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getLastModifiedDate

          Date getLastModifiedDate()

      Gets the last modified date of this entry.
      Returns:
        the last modified date of this entry.
      Since:
        1.1

    - #### getName

          String getName()

      Gets the name of the entry in this archive. May refer to a file or directory or other item.

      This method returns the raw name as it is stored inside of the archive.

      Returns:
        The name of this entry in the archive.

    - #### getSize

          long getSize()

      Gets the uncompressed size of this entry. May be -1 (SIZE_UNKNOWN) if the size is unknown
      Returns:
        the uncompressed size of this entry.

    - #### isDirectory

          boolean isDirectory()

      Returns true if this entry refers to a directory.
      Returns:
        true if this entry refers to a directory.

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.